Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161667 - Bad: not able to access files with spaces in names
Summary: Bad: not able to access files with spaces in names
Keywords:
Status: CLOSED DUPLICATE of bug 160422
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 09:24 UTC by david thomas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-04 15:01:39 UTC


Attachments (Terms of Use)

Description david thomas 2005-06-25 09:24:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
file names containing spaces are shown with spaces as %20. when trying to open the file nautilus responds :-

"The filename "inkpen%20web" indicates that this file is of type "folder". The contents of the file indicate that the file is of type "unknown". If you open this file, the file might present a security risk to your system.

Do not open the file unless you created the file yourself, or received the file from a trusted source. To open the file, rename the file to the correct extension for "unknown", then open the file normally. Alternatively, use the Open With menu to choose a specific application for the file." 

No options are available to open the file or directory.
This is a particular with samba shares.

Konqueror does not suffer this problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.using nautilus, open samba share that includes file names with spaces
2.
3.
  

Actual Results:  File or directory not able to be opened or renamed using nautilus. nautilus displays system message:-

The filename "inkpen%20web" indicates that this file is of type "folder". The contents of the file indicate that the file is of type "unknown". If you open this file, the file might present a security risk to your system.

Do not open the file unless you created the file yourself, or received the file from a trusted source. To open the file, rename the file to the correct extension for "unknown", then open the file normally. Alternatively, use the Open With menu to choose a specific application for the file.

Expected Results:  open or execute file/directory

Additional info:

same issue found at

https://www.redhat.com/archives/fedora-list/2005-June/msg04220.html

samba shares accessed on e-smith server (5.6) and Clarkconnect 3.0 give this problem. files from shares coppied to fc4 give this problem.

Comment 1 renke 2005-08-16 15:24:31 UTC
this is a duplicate of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=160422 (or vice versa)

Comment 2 Alexander Larsson 2006-09-04 15:01:39 UTC

*** This bug has been marked as a duplicate of 160422 ***


Note You need to log in before you can comment on or make changes to this bug.